
Redmine - Defect #8157

Redmine do not send notification emails if a recipients email address is not valid

2011-04-15 11:13 - Martin Schneider

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version: 1.1.0

Description

Reproduction:

Add a user with the name "TestUser" and a misconfigured email address (at my side it was something like 

UserTest@OurCompanyName.de).

Let the "TestUser" create a ticket.

Behaviour of Redmine when the newly created ticket is changed:

Redmine needs very long to respond (~2 min.).

Nobody receives a notification email (e.g. the ticket creator, watchers, everyone with the "For any event on all my projects"

email setting).

My Redmine server configuration:

MySQL 5.1.41-3ubuntu12.6

Ruby 1.8.6

Rails 2.3.5

Redmine 1.1.0

SVN 1.6.12-1406.49 hosted via CollabNet Subversion Edge 1.2.1-1406.49

Additional Information:

Our email server is Microsoft Exchange 2003

Fatal side effect of this bug

We do a lot of subtasking. Sometimes when the user with the misconfigured email address adds a ticket into a deep subtask

structure this structure will be corrupted!

After a little database analysis I figured out, that the issues.lft and issues.rgt become inconsistent...

PS:

Redmine is pretty cool! We use it since some years and this is the first real problem with it.

Keep on moving ;-)

Related issues:

Related to Redmine - Defect #7917: Creating users via email fails if user rea... Closed 2011-03-18

Related to Redmine - Defect #6829: Emails not sent if server rejects one of t... Closed 2010-11-04

Related to Redmine - Defect #8733: Sending email fails when one of members ha... Closed 2011-07-01

Related to Redmine - Defect #5163: Rejection of one recipient by the SMTP ser... Closed 2010-03-24

Related to Redmine - Feature #19335: Allow setting user account settings to r... New

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Has duplicate Redmine - Defect #17318: Email Notifications Fails for All Memb... Closed

Has duplicate Redmine - Defect #123: One user's bad email address breaks all ... Closed

Has duplicate Redmine - Defect #19360: the wrong mail in one of the redmine a... Closed

Has duplicate Redmine - Defect #20912: First email notification isn't send to... Closed

Has duplicate Redmine - Defect #11167: Sending email notification to more tha... Closed

Has duplicate Redmine - Defect #29226: Email delivery error: 550 Mailbox not ... Closed
History

#1 - 2011-04-15 17:38 - Евгений Золотин

I have the same problem. Today I've noticed, that notifications from forum were not send. Looking through production.log file I've found the reason:

550 error - unknown accaunt. One of user's account has wrong e-mail, and other users can't recieve e-mail notifications. I've tried to send e-mail to

this wrong adress with other good adresess from MS Outlook, and I've recieved the same bug from automatic admin's e-mail: 550 unknown account.

But other users with good adresses got my test e-mail. When Redmine do send it's notifications and one of the e-mail adresses is wrong, nobody can

recieve notifications. Seems that problem with Redmine.

#2 - 2012-04-25 10:29 - Fabien Crespel

This issue still occurs with Redmine 1.3.3.

When one project member with an invalid email address fails to receive a notification (e.g. 550 Recipient address rejected: User unknown in local

recipient table), subsequent notifications are not sent to any other member involved in the issue/project.

As the account involved is a generic account in my case, I disabled all notifications for it. But if for a reason or another a previously valid email

address becomes invalid (employee leaving a company...), it will block notifications for everyone else - which I think is a major issue.

#3 - 2012-07-19 10:19 - Pieter Smith

Same problem on our server (Redmine 1.4.2).  Also tried to change the Blind carbon copy recipients (bcc) option on the 'Redmine'.'Settings'.'Email

notifications' page as a potential workaround, but it has no effect.

#4 - 2013-08-22 16:33 - Miodrag Milic

The issue is still present

#5 - 2013-10-22 14:45 - Miodrag Milic

Does anybody know some quick fix solution for this in source code ?

For instance parallel sending of mails to each user and so on ?

#6 - 2014-06-09 18:18 - James H

is this still like this?

#7 - 2014-07-25 02:10 - Toshi MARUYAMA

- Has duplicate Defect #17318: Email Notifications Fails for All Members when One Email is Invalid added

#8 - 2014-07-25 02:13 - Toshi MARUYAMA

- Has duplicate Defect #123: One user's bad email address breaks all email notifications for everyone on a project added

#9 - 2014-10-27 19:01 - James H

+1

#10 - 2014-11-03 06:58 - Go MAEDA

- Related to Defect #6829: Emails not sent if server rejects one of the recipients added

#11 - 2014-11-03 07:20 - Go MAEDA

- Related to Defect #8733: Sending email fails when one of members has illegal characters in email address added

#12 - 2014-11-03 07:22 - Go MAEDA

- Related to Defect #5163: Rejection of one recipient by the SMTP server causes whole notification to be dropped added

#13 - 2014-11-03 07:33 - Go MAEDA

- Related to Defect #11167: Sending email notification to more than one users fail if one address email is invalid added

#14 - 2015-01-28 10:49 - Dariusz Kowalski

I have the same issue.

In our RM , we are connected do Ldap - there is many separated teams were people go in and go out even often.  It is impossible to manage of that

and disable each account manually. This is a big problem.

Anybody has solution for that issue?

#15 - 2015-01-28 21:40 - James H

Dariusz Tanner
if you are connected to LDAP, why dont you just let LDAP handle the email addresses so you never have an invalid email address?

but still +1 to this issue. It also can still appear when using LDAP if the information in your LDAP is not correct. But that is a different underlying issue.

#16 - 2015-02-08 16:30 - Toshi MARUYAMA

- Related to deleted (Defect #6579: Tree hierachy being currupted on multiple submissions of an issue)

#17 - 2015-03-12 08:16 - Toshi MARUYAMA

- Has duplicate Defect #19360: the wrong mail in one of the redmine account will cause all mail stop sending added

#18 - 2015-04-08 17:03 - Toshi MARUYAMA

- Related to Feature #19335: Allow setting user account settings to read-only fields (especially when using LDAP) added

#19 - 2015-09-06 11:43 - Toshi MARUYAMA

It seems Redmine.org has this problem, too.

I watch some forum messages on Redmine.org and I don't get notification.

Issue form have watchers list, but forum message form does not have.

#20 - 2015-11-03 06:25 - Toshi MARUYAMA

- Has duplicate Defect #20912: First email notification isn't send to user added

#21 - 2016-05-19 17:14 - John Simmons

I know this is getting pretty old, but I'm having this issue as well.  I have all of my users set through LDAP, so there's no defective email addresses,

but we added some people who have external email addresses, and they login through non-LDAP, and it breaks any project they are added to.  So,

99% of my users are @companyA.com, and 1% are @companyB.com, and any project where someone from company B is added, stops sending

emails all together.

#22 - 2016-09-14 14:25 - Anonymous

+1

Just by looking at the list of related issues, this problem apparently has affected many redmine users. Is there any chance that there will be a solution

anytime soon?

#23 - 2017-01-11 16:01 - Anonymous

Any updates on this?

#25 - 2017-08-22 10:25 - Kenan Dervisevic

Hello, does anyone have a solution for this currently?

#26 - 2017-08-30 16:24 - Go MAEDA

- Related to deleted (Defect #11167: Sending email notification to more than one users fail if one address email is invalid)

#27 - 2017-08-30 16:24 - Go MAEDA

- Has duplicate Defect #11167: Sending email notification to more than one users fail if one address email is invalid added

#28 - 2017-08-30 16:58 - Jan from Planio www.plan.io

- Related to Feature #26791: Send individual notification mails per mail recipient added

#29 - 2017-08-30 16:59 - Jan from Planio www.plan.io

This would be solved by #26791.

#30 - 2017-10-19 21:32 - Juan Diego Iannelli

+1

#31 - 2018-07-12 14:26 - Holger Just

- Has duplicate Defect #29226: Email delivery error: 550 Mailbox not found or access denied , there is an invalid email address added

#32 - 2018-09-10 22:26 - Ken Zalewski

This issue has persisted for years, and is now in the current version, 3.4.6.
It has affected us here at the Senate on multiple occasions when an employee leaves the Senate. That employee's email address is disabled/deleted,

so any mail sent to that address returns a 550 SMTP error.

This has the end result of preventing ANY notifications from going out on a project where the terminated employee might be a member. This is bad

behavior, and it's been reported multiple times by many Redmine users.

I am asking that this issue be prioritized.  We depend on email notifications working properly, and we don't want project notifications to stop working

just because one member on that project/group has a bad email address.

#33 - 2018-11-05 10:54 - Richard Holyoak

I can confirm this is causing me problems too.  If one person leaves the company then no-one receives emails.

#34 - 2018-11-05 10:59 - Go MAEDA

Richard Holyoak wrote:

I can confirm this is causing me problems too.  If one person leaves the company then no-one receives emails.

 This issue will be resolved in upcoming Redmine 4.0.0. The patch #26791 has already been committed to the repository.

#35 - 2018-11-30 12:27 - Go MAEDA

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

- Target version set to 4.0.0

- Resolution set to Fixed

Fixed by #26791.

Setting the target version to 4.1.0 in order to add this issue to the changelog.
